{
  "schema_version": "1.4.0",
  "id": "GHSA-m7r3-4c7g-v5h3",
  "modified": "2022-05-14T02:06:20Z",
  "published": "2022-05-14T02:06:20Z",
  "aliases": [
    "CVE-2014-9679"
  ],
  "details": "Integer underflow in the cupsRasterReadPixels function in filter/raster.c in CUPS before 2.0.2 allows remote attackers to have unspecified impact via a malformed compressed raster file, which triggers a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-9679"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201607-06"
    },
    {
      "type": "WEB",
      "url": "https://www.cups.org/str.php?L4551"
    },
    {
      "type": "WEB",
      "url": "http://advisories.mageia.org/MGASA-2015-0067.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-February/150171.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-February/150177.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-02/msg00098.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-1123.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3172"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2015:049"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2015:108"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2015/02/10/15"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2015/02/12/12"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/72594"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1031776"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2520-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-02-19T15:59:00Z"
  }
}